1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-04-12 06:57:33 +02:00
Files
coreutils/tests/md5sum/md5sum-tests
Jim Meyering 04916b80de .
1996-12-28 06:06:51 +00:00

138 lines
4.6 KiB
Bash
Executable File

#! /bin/sh
# This script was generated automatically by build-script.
case $# in
0) xx='../../src/md5sum';;
*) xx="$1";;
esac
test "$VERBOSE" && echo=echo || echo=:
$echo testing program: $xx
errors=0
test "$srcdir" || srcdir=.
test "$VERBOSE" && $xx --version 2> /dev/null
$xx < $srcdir/t1.in > t1.out 2> t1.err
code=$?
if test $code != 0 ; then
$echo Test 1 failed: ../../src/md5sum return code $code differs from expected value 0 1>&2
errors=`expr $errors + 1`
else
cmp t1.out $srcdir/t1.exp
case $? in
0) if test "$VERBOSE" ; then $echo passed 1; fi ;; # equal files
1) $echo Test 1 failed: files t1.out and $srcdir/t1.exp differ 1>&2;
errors=`expr $errors + 1` ;;
2) $echo Test 1 may have failed. 1>&2;
$echo The command "cmp t1.out $srcdir/t1.exp" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
test -s t1.err || rm -f t1.err
$xx < $srcdir/t2.in > t2.out 2> t2.err
code=$?
if test $code != 0 ; then
$echo Test 2 failed: ../../src/md5sum return code $code differs from expected value 0 1>&2
errors=`expr $errors + 1`
else
cmp t2.out $srcdir/t2.exp
case $? in
0) if test "$VERBOSE" ; then $echo passed 2; fi ;; # equal files
1) $echo Test 2 failed: files t2.out and $srcdir/t2.exp differ 1>&2;
errors=`expr $errors + 1` ;;
2) $echo Test 2 may have failed. 1>&2;
$echo The command "cmp t2.out $srcdir/t2.exp" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
test -s t2.err || rm -f t2.err
$xx < $srcdir/t3.in > t3.out 2> t3.err
code=$?
if test $code != 0 ; then
$echo Test 3 failed: ../../src/md5sum return code $code differs from expected value 0 1>&2
errors=`expr $errors + 1`
else
cmp t3.out $srcdir/t3.exp
case $? in
0) if test "$VERBOSE" ; then $echo passed 3; fi ;; # equal files
1) $echo Test 3 failed: files t3.out and $srcdir/t3.exp differ 1>&2;
errors=`expr $errors + 1` ;;
2) $echo Test 3 may have failed. 1>&2;
$echo The command "cmp t3.out $srcdir/t3.exp" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
test -s t3.err || rm -f t3.err
$xx < $srcdir/t4.in > t4.out 2> t4.err
code=$?
if test $code != 0 ; then
$echo Test 4 failed: ../../src/md5sum return code $code differs from expected value 0 1>&2
errors=`expr $errors + 1`
else
cmp t4.out $srcdir/t4.exp
case $? in
0) if test "$VERBOSE" ; then $echo passed 4; fi ;; # equal files
1) $echo Test 4 failed: files t4.out and $srcdir/t4.exp differ 1>&2;
errors=`expr $errors + 1` ;;
2) $echo Test 4 may have failed. 1>&2;
$echo The command "cmp t4.out $srcdir/t4.exp" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
test -s t4.err || rm -f t4.err
$xx < $srcdir/t5.in > t5.out 2> t5.err
code=$?
if test $code != 0 ; then
$echo Test 5 failed: ../../src/md5sum return code $code differs from expected value 0 1>&2
errors=`expr $errors + 1`
else
cmp t5.out $srcdir/t5.exp
case $? in
0) if test "$VERBOSE" ; then $echo passed 5; fi ;; # equal files
1) $echo Test 5 failed: files t5.out and $srcdir/t5.exp differ 1>&2;
errors=`expr $errors + 1` ;;
2) $echo Test 5 may have failed. 1>&2;
$echo The command "cmp t5.out $srcdir/t5.exp" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
test -s t5.err || rm -f t5.err
$xx < $srcdir/t6.in > t6.out 2> t6.err
code=$?
if test $code != 0 ; then
$echo Test 6 failed: ../../src/md5sum return code $code differs from expected value 0 1>&2
errors=`expr $errors + 1`
else
cmp t6.out $srcdir/t6.exp
case $? in
0) if test "$VERBOSE" ; then $echo passed 6; fi ;; # equal files
1) $echo Test 6 failed: files t6.out and $srcdir/t6.exp differ 1>&2;
errors=`expr $errors + 1` ;;
2) $echo Test 6 may have failed. 1>&2;
$echo The command "cmp t6.out $srcdir/t6.exp" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
test -s t6.err || rm -f t6.err
$xx < $srcdir/t7.in > t7.out 2> t7.err
code=$?
if test $code != 0 ; then
$echo Test 7 failed: ../../src/md5sum return code $code differs from expected value 0 1>&2
errors=`expr $errors + 1`
else
cmp t7.out $srcdir/t7.exp
case $? in
0) if test "$VERBOSE" ; then $echo passed 7; fi ;; # equal files
1) $echo Test 7 failed: files t7.out and $srcdir/t7.exp differ 1>&2;
errors=`expr $errors + 1` ;;
2) $echo Test 7 may have failed. 1>&2;
$echo The command "cmp t7.out $srcdir/t7.exp" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
test -s t7.err || rm -f t7.err
if test $errors = 0 ; then
$echo Passed all 7 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi
test $errors = 0 || errors=1
exit $errors